B3SUM(1)

NAME
b3sum - compute and check BLAKE3 hash

USAGE
b3sum [FLAGS] [OPTIONS] [FILE]...

DESCRIPTION

Print or check BLAKE3 checksums.

With no FILE, or when FILE is -, read standard input.

  FLAGS:

-c, --check
    Reads BLAKE3 sums from the [file]s and checks them

-h, --help
    Prints help information

--keyed
    Uses the keyed mode. The secret key is read from standard input, and it must be exactly 32 raw bytes.

--no-mmap
    Disables memory mapping. Currently this also disables multithreading.

--no-names
    Omits filenames in the output

--quiet
    Skips printing OK for each successfully verified file. Must be used with --check.

--raw
    Writes raw output bytes to stdout, rather than hex. --no-names is implied. In this case, only a single input is allowed.

-V, --version
    Prints version information

  OPTIONS:

--derive-key <CONTEXT>
    Uses the key derivation mode, with the given context string. Cannot be used with --keyed.

-l, --length <LEN>
    The number of output bytes, prior to hex encoding (default 32)

--num-threads <NUM>
    The maximum number of threads to use. By default, this is the number of logical cores. If this flag is omitted, or if its value is 0, RAYON_NUM_THREADS is also respected.

  ARGS:

<FILE>...
    Files to hash, or checkfiles to check. When no file is given, or when - is given, read standard input.

SEE ALSO